(function() {
	'use strict';

	var cvCommon = angular.module('cvCommon');

	cvCommon.factory('cvTableOptions', function() {
		return {
			commonNgGridOptions : {
				showFilter : false,
				showGroupPanel : false,
				jqueryUIDraggable : false,
				enablePaging : true,
				headerRowHeight : 42,
				rowHeight : 39,
				headerRowTemplate : appUtil.appRoot + 'common/partials/tableHeaderTemplate.html',
				rowTemplate : appUtil.appRoot + 'common/partials/tableRowTemplate.html'
			}
		};
	});

	cvCommon.directive('showEmptyMsg', function($compile, $timeout) {
		return {
			restrict : 'A',
			link : function(scope, element, attrs) {
				var msg = (attrs.showEmptyMsg) ? attrs.showEmptyMsg : 'No data available';
				//			var template = "<p ng-hide='browseresp.length'>" + msg + "</p>";
				var template = "<p ng-show='{{$parent.gridOptions.data}}.length==0'>" + msg + "</p>";
				template += "<p ng-hide='{{$parent.gridOptions.data}}.length>=0'>Loading...</p>";

				var tmpl = angular.element(template);
				$compile(tmpl)(scope);
				$timeout(function() {
					element.find('.ngViewport').append(tmpl);
				}, 100);
			}
		};
	});
})();