/**
 * @author Ryan Cebulko
 */

/**
 * Javascript variable containing the static list of {@link API_VARIABLE} objects
 *
 * @type {Object<String, API_VARIABLE>}
 */
sandboxObj.prototype.vars= {
  "clientName": {
    "label": "Client Name",
     "description": "Client Name",
    "value": ""
  },
  "agent": {
    "label": "Agent",
     "description": "Agent",
    "value": ""
  },
  "instanceName": {
    "label": "Instance Name",
     "description": "Name of instance for the install agent",
    "value": ""
  },
  "backupset": {
    "label": "Backupset",
     "description": "",
    "value": ""
  },
  "subclient": {
    "label": "Subclient",
     "description": "",
    "value": ""
  },
  "clientId": {
    "label": "Client Machine ID",
     "description": "ID of client machine",
    "value": ""
  },
  "activityType": {
    "label": "Activity Type",
     "description": "Type of activity to perform (backup, restore, etc.)",
    "value": ""
  },
  "clientGroupId": {
    "label": "Client Group ID",
     "description": "ID of client group on which jobs run",
    "value": ""
  },
  "backupsetId": {
    "label": "Backup Set ID",
     "description": "ID of backup set on which jobs run",
    "value": ""
  },
  "subclientId": {
    "label": "Sublient ID",
     "description": "ID of subclient on which jobs run",
    "value": ""
  },
  "jobId": {
    "label": "Job ID",
     "description": "ID of backup job",
    "value": ""
  },
  "schedulePolicyId": {
    "label": "Schedule Policy ID",
     "description": "Schedule Policy ID variable description",
    "value": ""
  },
  "userGroupId": {
    "label": "User Group ID",
     "description": "User Group ID variable description",
    "value": ""
  },
  "userId": {
    "label": "User ID",
     "description": "User ID variable description",
    "value": ""
  },
  "spId": {
    "label": "Storage Policy ID",
     "description": "ID of the storage policy assigned to the subclient on which jobs ran.",
    "value": ""
  },
  "spName": {
    "label": "Storage Policy Name",
     "description": "Name of the storage policy assigned to the subclient on which jobs ran.",
    "value": ""
  },
  "qcommand": {
    "label": "QCommand",
     "description": "Any valid qcommand",
    "value": ""
  },
  "storagepolicy": {
    "label": "Storage Policy",
     "description": "Storage Policy",
    "value": ""
  },
  "mediaagent": {
    "label": "MediaAgent",
     "description": "Media Agent",
    "value": ""
  },
  "library": {
    "label": "Library",
     "description": "Library",
    "value": ""
  },
  "drivepool": {
    "label": "Drive Pool",
     "description": "Drive Pool",
    "value": ""
  },
  "scratchpool": {
    "label": "Scratch Pool",
     "description": "Scratch Pool",
    "value": ""
  },
  "incstoragepolicy": {
    "label": "Inc. Storage Policy",
     "description": "Inc. Storage Policy",
    "value": ""
  },
  "deduppath": {
    "label": "Deduppath",
     "description": "Deduppath",
    "value": ""
  },
  "alertId": {
	    "label": "Alert ID",
	     "description": "Alert ID",
	    "value": ""
  },
  "at": {
	    "label": "appTypeId",
	     "description": "App Type Id",
	    "value": ""
  },
  "si": {
	    "label": "stubinfo",
	     "description": "Stub Info",
	    "value": ""
  },
  "op": {
	    "label": "path",
	     "description": "Path",
	    "value": ""
  },
  "appId": {
	    "label": "subclientId",
	     "description": "Subclient ID",
	    "value": ""
  },
  "ec": {
	    "label": "encoding",
	     "description": "Encoding",
	    "value": ""
  },
  "workflowName": {
	    "label": "Workflow Name",
	     "description": "Workflow Name",
	    "value": ""
  },
  "outputOnly": {
	    "label": "Output Only required",
	     "description": "Only returns output of Workflow. Specify True/False",
	    "value": ""
  },
  "type": {
	    "label": "Type",
	     "description": "Type of ContentStore",
	    "value": ""
  },
  "fileOrFolderId": {
	    "label": "File Or Folder Id",
	     "description": "File Or Folder Id",
	    "value": ""
  },
  "uploadType": {
	    "label": "Upload Type",
	    "description": "Upload Type",
	    "value": "full"
  },
  "requestId": {
	    "label": "Request Id",
	    "description": "Request Id",
	    "value": ""
  },
  "forceRestart": {
	    "label": "Force Restart",
	    "description": "Force Restart an incomplete download. Specify True/False",
	    "value": ""
  },
  "path": {
	    "label": "Folder path",
	    "description": "Folder path",
	    "value": ""
  },
  "shareId": {
	    "label": "Share ID",
	    "description": "Share ID",
	    "value": ""
  },
  "contentStoreType": {
	    "label": "ContentStore Type",
	    "description": "ContentStore Type",
	    "value": ""
  },
  "ShareFolder": {
	    "label": "Share Folder",
	    "description": "Share Folder",
	    "value": ""
  },
  "propertyLevel": {
	    "label": "Property Level",
	    "description": "Property Level. Valid values are 1, 10 and 30.",
	    "value": "10"
},
};